curl --request PUT \
--url https://api.example.com/api/v1/license/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"version": "<string>",
"icon": "<string>",
"params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
"groupScript": "<string>",
"scoreScript": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/license/{id}"
payload = {
"name": "<string>",
"version": "<string>",
"icon": "<string>",
"params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
"groupScript": "<string>",
"scoreScript": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
version: '<string>',
icon: '<string>',
params: '{ ""minScore": 0, "maxScore": 1 }',
groupScript: '<string>',
scoreScript: '<string>'
})
};
fetch('https://api.example.com/api/v1/license/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"version": "<string>",
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"icon": "<string>",
"scoreGroups": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"name": "<string>",
"title": "<string>",
"description": "<string>"
}
],
"params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
"groupScript": "<string>",
"scoreScript": "<string>"
}update entity by id
Authorizations
Authentication
Path Parameters
Body
Status of the entity. Default: 'ACTIVE'
ACTIVE, DISABLED, DELETED Name of the license
Version of the license
License icon
License dynamic params.
Show child attributes
Show child attributes
"{ \"\"minScore\": 0, \"maxScore\": 1 }"
Groovy script that calculates scoring groups for score change under this license
Groovy script that calculates score change value for score change under this license
Response
OK
Name of the license
Version of the license
Unique identifier of the entity
1
Time when entity was created
Time when entity was updated
Status of the entity. Default: 'ACTIVE'
ACTIVE, DISABLED, DELETED License icon
Score groups related to current license
Show child attributes
Show child attributes
License dynamic params.
Show child attributes
Show child attributes
"{ \"\"minScore\": 0, \"maxScore\": 1 }"
Groovy script that calculates scoring groups for score change under this license
Groovy script that calculates score change value for score change under this license